Subject: RE: [AVT] Re: Request to review media type in AVT working group lastcall: draft-ietf-avt-rtp-3gpp-timed-text.txt

From: "Jose Rey" <[email-masked]>
Date: Thu, 2 Jun 2005 18:34:03 +0200

Ned,

> 
> > Hi Ned,
> 
> > The word smithing looks fine and is say that we go with 
> your proposal.
> 
> > Ned Freed wrote:
> > >
> > > At one point I suggest it might be appropriate to map the 
> U bit to a 
> > > charset parameter. Does this make any sense to do?
> > >
> 
> > I would say no. If there was a possibility to move beyond UTF-8 and
> > UTF-16 I would probably agree. However as these are the 
> only charsets 
> > allowed and both are mandatory I don't see that it would 
> provide any 
> > benefit at all.
> 
> Then why do you need the U bit?
> 
> Let me be clear here. I have no problem with not defining the 
> parameter, but I don't understand why the number of charsets 
> involved forms a criteria for whether or not it is needed. 
> I'm just trying to understand a bit more about the nature of 
> the underlying transport, I guess.

The initial motivation was to enable text fragments to be decoded even if the complete text sample was not received (selfcontained).  Instead of repeating the 16 bit BOM in every packet we use a 1 bit indication. That's all.

José

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt